Subject: [ietf-smtp] Fwd: [Ietf-message-headers] Registration update: Content-MD5

From: Alexey Melnikov <[email-masked]>
Date: Thu, 18 Oct 2018 18:52:36 +0100

Hi,
(Sorry for cross posting)

Is there any interest in deprecating use of Content-MD5 for email?

Thank you,
Alexey

-------- Forwarded Message --------
Subject: Re: [Ietf-message-headers] Registration update: Content-MD5
Date: Tue, 16 Oct 2018 08:39:05 +0100
From: Graham Klyne <[email-masked]>
To: Mark Nottingham <[email-masked]>, [email-masked]

Just to be clear, this is just use with HTTP that's being obsoleted?

It's also registered as a MIME header.  The reason for obsoleting per
RFC7231 appears to be inconsistent HTTP implementations, so I guess that
doesn't apply to MIME/email?

#g
--

On 15/10/2018 05:30, Mark Nottingham wrote:
> As discussed on the HTTP Working Group mailing list [1], we'd like to update the registry entry for Content-MD5 in HTTP.
>
> Proposed template:
>
> Header name: Content-MD5
> Protocol: http
> Status: obsoleted
> Reference: RFC2616 (obsoleted by RFC7231, Appendix B)
>
> Cheers,
>
> 1.  https://www.w3.org/mid/[email-masked]
>
>
> --
> Mark Nottingham   https://www.mnot.net/
>
> _______________________________________________
> Ietf-message-headers mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-message-headers
>

_______________________________________________
Ietf-message-headers mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-message-headers

---

From: Ned Freed <[email-masked]>
Date: Sat, 20 Oct 2018 14:08:13 -0700 (PDT)

> Is there any interest in deprecating use of Content-MD5 for email?

Seems like a lot of effort for no real again.

The few implementations I've seen do interoperate, so AFAIK that's
not a reason for deprecating it.

Of course MD5 isn't cryptographically strong, but it's fine for a checksum,
which is  what RFC 1864 says it is for. (At the time the RFC was written I
argued for extending its use to crypographic applications and in the process
moving the algorithm from the name to the value to provide for algorithm
flexibility, but there wasn't sufficient interest.)

				Ned

> Extra mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/extra

---

From: John C Klensin <[email-masked]>
Date: Sat, 20 Oct 2018 17:28:19 -0400

FWIW, +1

    john

--On Saturday, October 20, 2018 14:08 -0700 Ned Freed
<[email-masked]> wrote:

> The few implementations I've seen do interoperate, so AFAIK
> that's not a reason for deprecating it.
> 
> Of course MD5 isn't cryptographically strong, but it's fine
> for a checksum, which is  what RFC 1864 says it is for. (At
> the time the RFC was written I argued for extending its use to
> crypographic applications and in the process moving the
> algorithm from the name to the value to provide for algorithm
>> Subject: Re: [Ietf-message-headers] Registration update:
>> Content-MD5 Date: Tue, 16 Oct 2018 08:39:05 +0100
>> It's also registered as a MIME header.  The reason for
>> obsoleting per RFC7231 appears to be inconsistent HTTP
>> implementations, so I guess that doesn't apply to MIME/email?
> 
>> # g
>> --
> 
>> > As discussed on the HTTP Working Group mailing list [1],
>> > we'd like to update the registry entry for Content-MD5 in
>> > HTTP.
>> > 
>> > Proposed template:
>> > 
>> > Header name: Content-MD5
>> > Protocol: http
>> > Status: obsoleted
>> > 1.
>> > https://www.w3.org/mid/C94E5914-F5F0-46D0-BABB-D42EE45DF10D
>> > @mnot.net
>> > 
>> > 
>> > --
> ietf-smtp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-smtp

---

From: "Rene 'Renne' Bartsch, B.Sc. Informatics" <[email-masked]>
Date: Mon, 22 Oct 2018 08:10:00 +0200

Hi,

is this a MD5-hash of the message body in the message header?

Regards,

Renne